#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           accessibility-inspector
Version: 25.04.2
Release:        %mkrel %{rel}
Summary:        Accessibility inspector
License:        LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/accessibilityinspector
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(QAccessibilityClient6) >= 0.6.0


%description
Accessibility Inspector is an inspector for your application accessibility tree.
It lets you check all the items exposed via At-SPI.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/accessibilityinspector.categories
%{_kf6_bindir}/accessibilityinspector
%{_kf6_applicationsdir}/org.kde.accessibilityinspector.desktop
%{_kf6_metainfodir}/org.kde.accessibilityinspector.metainfo.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.accessibilityinspector.svg
%{_kf6_libdir}/libaccessibilityinspector.so.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Jun 05 2025 daviddavid <daviddavid> 25.04.2-1.mga10
+ Revision: 2188324
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2175897
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170674
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163347
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147049
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136440
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123688
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116245
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2113935
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105430
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097293
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087496
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2084977
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073100
- New version 24.05.1

* Thu Jun 06 2024 daviddavid <daviddavid> 24.05.0-1.mga10
+ Revision: 2070275
- initial package accessibility-inspector

